=== examples/basicdemo/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( BasicDemo
    BasicDemo.cpp
)
