=== examples/dice/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( dice
    dice.cpp
)
