=== examples/handphysics/CMakeLists.txt ===
_osgBulletMakeInteractionExe( handphysics
    handphysics.cpp
)
