=== examples/hinge/CMakeLists.txt ===
_osgBulletMakeInteractionExe( hinge
    hinge.cpp
)
