=== examples/saverestore/CMakeLists.txt ===
_osgBulletMakeInteractionExe( saverestore
    saverestore.cpp
)
