=== tests/com/CMakeLists.txt ===
_osgBulletMakeDynamicsExe( com
    com.cpp
)
