=== tests/handsimple/CMakeLists.txt ===
_osgBulletMakeInteractionExe( handsimple
    handsimple.cpp
)
