=== debian/changelog ===
ros-indigo-uwsim-osgbullet (3.0.1-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mario Prats <marioprats@gmail.com>  Wed, 23 Sep 2015 04:20:25 -0000
